package intrinsic.mx.rpc;

public class AbstractInvoker extends intrinsic.flash.events.EventDispatcher {

	/** Accessors */
	public boolean makeObjectsBindable;
	public intrinsic.mx.rpc.AsyncRequest asyncRequest;
	public Object lastResult;

	/** Variables */
	public Object _result;
	public intrinsic.mx.rpc.ActiveCalls activeCalls;
	public intrinsic.Array _responseHeaders;
	public boolean _makeObjectsBindable;

	/** Constants */
	public static final String BINDING_RESULT = "binding_result";

	/** Class Accessors */

	/** Class variables */

/** Contructors */
public AbstractInvoker() {
}


/** Static Methods */

/** Methods */
public native intrinsic.mx.rpc.AsyncToken preHandle(intrinsic.mx.messaging.events.MessageEvent arg0);
public native boolean processResult(intrinsic.mx.messaging.messages.IMessage arg0, intrinsic.mx.rpc.AsyncToken arg1);
public native intrinsic.mx.rpc.AsyncToken invoke(intrinsic.mx.messaging.messages.IMessage arg0);
public native intrinsic.mx.rpc.AsyncToken invoke(intrinsic.mx.messaging.messages.IMessage arg0, intrinsic.mx.rpc.AsyncToken arg1);
public native void clearResult();
public native void clearResult(boolean arg0);
public native intrinsic.mx.rpc.AsyncToken cancel();
public native intrinsic.mx.rpc.AsyncToken cancel(String arg0);
public native void faultHandler(intrinsic.mx.messaging.events.MessageFaultEvent arg0);
public native void resultHandler(intrinsic.mx.messaging.events.MessageEvent arg0);
public native void dispatchRpcEvent(intrinsic.mx.rpc.events.AbstractEvent arg0);
public native String getNetmonId();

}
